Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.webservice
Class WebServiceRenderer.PromptedBinding

    java.lang.Object
      |
      +--oracle.portal.provider.v2.webservice.WebServiceRenderer.ParameterBinding
            |
            +--oracle.portal.provider.v2.webservice.WebServiceRenderer.DefaultableParameterBinding
                  |
                  +--oracle.portal.provider.v2.webservice.WebServiceRenderer.PromptedBinding

Direct Known Subclasses:
  WebServiceRenderer.EditData, WebServiceRenderer.URLParam

Enclosing class:
  WebServiceRenderer

public abstract static class WebServiceRenderer.PromptedBinding
extends WebServiceRenderer.DefaultableParameterBinding

Base class for objects representing a prompt in the request to the web service to that is used show prompt in edit mode.

Constructor Summary
`WebServiceRenderer.PromptedBinding()`
`WebServiceRenderer.PromptedBinding(java.lang.String name, java.lang.String deflt, boolean isMandatory, java.lang.String prompt)`

Method Summary
`abstract java.lang.String` | `getActualValue(WebServiceRenderRequest wrr)` Evaluates this binding in the context of the given `WebServiceRenderRequest`, without taking into account any defaults.
`java.lang.String` | `getPrompt()` Gets the default prompt to use for the input field corresponding to this item in the generated HTML form.
`void` | `setPrompt(java.lang.String prompt)` Sets the default prompt to use for the input field corresponding to this item in the generated HTML form.

Methods inherited from class oracle.portal.provider.v2.webservice.WebServiceRenderer.DefaultableParameterBinding
`getValue, isMandatory, setDefault, setMandatory, setMandatory`

Methods inherited from class oracle.portal.provider.v2.webservice.WebServiceRenderer.ParameterBinding
`getName, setName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebServiceRenderer.PromptedBinding

    public WebServiceRenderer.PromptedBinding()

### WebServiceRenderer.PromptedBinding

    public WebServiceRenderer.PromptedBinding(java.lang.String name,
                                              java.lang.String deflt,
                                              boolean isMandatory,
                                              java.lang.String prompt)

Method Detail

### getActualValue

    public abstract java.lang.String getActualValue(WebServiceRenderRequest wrr)
                                             throws PortletException

  Description copied from class: `WebServiceRenderer.DefaultableParameterBinding`
  Evaluates this binding in the context of the given `WebServiceRenderRequest`, without taking into account any defaults. Called by `WebServiceRenderer.DefaultableParameterBinding.getValue(oracle.portal.provider.v2.webservice.WebServiceRenderRequest)` to determine whether the default should be returned. Subclasses should implement.
  Overrides:
    `getActualValue` in class `WebServiceRenderer.DefaultableParameterBinding`
  Following copied from class: `oracle.portal.provider.v2.webservice.WebServiceRenderer.DefaultableParameterBinding`
  Returns:
    the value of this binding for the given `WebServiceRenderRequest` or `null` if one does not yet exist.
  Throws:
    `PortletException` - if an exception occurs while evaluating the binding.

### setPrompt

    public final void setPrompt(java.lang.String prompt)

  Sets the default prompt to use for the input field corresponding to this item in the generated HTML form.
  Parameters:
    `prompt` - the default prompt to use for the input field corresponding to this item in the generated HTML form.

### getPrompt

    public final java.lang.String getPrompt()

  Gets the default prompt to use for the input field corresponding to this item in the generated HTML form.
  Returns:
    the default prompt to use for the input field corresponding to this item in the generated HTML form.

Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002, Oracle Corporation. All Rights Reserved.